## org.gnu.gtk
Class Accessible

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.atk.AtkObject
                  org.gnu.gtk.Accessible

public class Accessible
extends AtkObject

Constructor Summary
`Accessible(org.gnu.glib.Handle handle)`

Method Summary
`static Accessible` `getAccessible(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`Widget` `getWidget()`

Methods inherited from class org.gnu.atk.AtkObject
`addRelationship, getAtkObjectFromHandle, getChild, getDescription, getIndexInParent, getLayer, getLocalizedRoleName, getMDIZorder, getName, getNumChildren, getParent, getRole, getRoleForName, getRoleName, removeRelationship, setDescription, setName, setParent, setRole`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Accessible

    public Accessible(org.gnu.glib.Handle handle)

Method Detail

### getAccessible

    public static Accessible getAccessible(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### getWidget

    public Widget getWidget()

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.